<div class="jumbotron text-center">
    <h1 class="display-5">
        {{displayName}}
    </h1>
</div>

<div class="container">
    <div class="row custom-wrapper">
        <div class="col-md-12">
            <div class="group-gap">
                <div>
                    <form [formGroup]="employeeForm" (ngSubmit)="onSubmit()">
                          <div class="form-group">
                             <label for="name" class="display">Name</label>
                             <input type="text"  class="form-control" formControlName="name" minlength="4"/>
                          </div>
                
                          <div class="form-group">
                             <label for="phone" class="display">Number</label>
                             <input type="phone" class="form-control" 
                             id="phone" formControlName = "phone">
                          </div>
                       
                          <div formGroupName="address">
                            <div class="form-group">
                                <label for="city" class="display">City</label>
                                <input type="text" class="form-control"
                                 id="city" formControlName = "city">
                             </div>
                             <div class="form-group">
                                <label for="address_line1" class="display">Address</label>
                                <input type="text" class="form-control"
                                 id="address_line1" formControlName = "address_line1">
                             </div>
                             <div class="form-group">
                                <label for="postal_code" class="display">Postal code</label>
                                <input type="number" class="form-control"
                                 id="postal_code" formControlName = "postal_code">
                             </div>
                          </div>
                          <div class="display">
                              <button class="btn btn-primary" [disabled]="!employeeForm.valid" type="submit">Submit</button> 
                          </div>
                      </form>
                  </div>
            </div>
        </div>
    </div>
</div>